/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/
#if !defined(BOOST_TRAVERSAL_ITER_ONE_20070922_1715)
#define BOOST_TRAVERSAL_ITER_ONE_20070922_1715

namespace boost { namespace traversal { namespace detail {
    template<typename It, typename UnaryFunc>
    bool iter_one(It first, It last, UnaryFunc func)
    {
        for(;first != last; ++first)
            if(func(*first))
                return true;
        return false;
    }

}}}

#endif
