/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/
#if !defined(BOOST_TRAVERSAL_CHOOSE_20070924_1639)
#define BOOST_TRAVERSAL_CHOOSE_20070924_1639

namespace boost { namespace traversal { namespace detail {
    struct choose_impl
    {
        template<
            typename T,
            typename InUnaryFunc, 
            typename OutUnaryFunc, 
            typename OneImplementation, 
            typename RecursiveUnaryFunc>
        bool operator()(T& t, InUnaryFunc in, OutUnaryFunc out, OneImplementation one, RecursiveUnaryFunc rec) const
        {
            return in(t) || one(t, rec) || out(t);
        }
    };

    choose_impl const choose = {};
}}}

#endif
