/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/
#if !defined(BOOST_TRAVERSAL_IS_OPTIONAL_20070829)
#define BOOST_TRAVERSAL_IS_OPTIONAL_20070829

#include <boost/mpl/bool.hpp>
#include <boost/optional.hpp>

namespace boost { namespace traversal {
    namespace traits
    {
        template<typename T>
        struct is_optional
            : mpl::false_
        {};

        template<typename T>
        struct is_optional<boost::optional<T> >
            : mpl::true_
        {};
    }
}}

#endif
